org.eclipse.ease.debugging.events

## Class AbstractEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent

All Implemented Interfaces:
  IDebugEvent

Direct Known Subclasses:
  BreakpointRequest, EngineStartedEvent, EngineTerminatedEvent, GetStackFramesRequest, GetVariablesRequest, ResumedEvent, ResumeRequest, ScriptReadyEvent, ScriptTerminatedEvent, StackFramesEvent, SuspendedEvent, TerminateRequest

    public abstract class AbstractEvent
    extends Object
    implements IDebugEvent

### Constructor Summary

Constructors
Constructor and Description
`AbstractEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractEvent

    public AbstractEvent()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`